Page MenuHomePhabricator

Replace tracking bug T43037 by new project tag "PDF"
Closed, DeclinedPublic

Event Timeline

Bugreporter raised the priority of this task from to Needs Triage.
Bugreporter updated the task description. (Show Details)
Bugreporter added a subscriber: Bugreporter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 4:53 PM
Aklapper triaged this task as Lowest priority.Jun 16 2015, 5:05 PM
Danny_B claimed this task.Feb 13 2016, 3:21 PM

There should be two different projects for PDF tracking.

One for PDF uploaded files, one for PDF export.

Aklapper added a comment.EditedFeb 14 2016, 2:16 PM

There should be two different projects for PDF tracking.
One for PDF uploaded files, one for PDF export.

There are numerous PDF related projects related to creation/export of PDFs: OCG-PDFRenderer, OCG-PDF-renderer, Collection, MediaWiki-extensions-PdfBook, Electron-PDFs. There is MediaWiki-extensions-PdfHandler (for displaying), MediaWiki-File-management (covering the thumbnail creation part in MediaWiki), and Wikimedia-Media-storage superseded by SRE-swift-storage for file storage issues on Wikimedia wikis. What does "for PDF uploaded files" mean and which additional value does it provide compared to the existing projects, also when it comes to superseding T33552 and T43037?

Could someone please answer T102513#2026603 ?

Aklapper changed the task status from Open to Stalled.Oct 1 2016, 6:41 AM

Nowadays there are already numerous PDF related projects related to PDFs: Deprecated OCG-PDFRenderer, deprecated OCG-PDF-renderer, Collection, MediaWiki-extensions-PdfBook, the browser-based Electron-PDFs service, the 'new' renderer Proton. There is MediaWiki-extensions-PdfHandler (for displaying), MediaWiki-File-management (covering the thumbnail creation part in MediaWiki), and Wikimedia-Media-storage superseded by SRE-swift-storage for file storage issues on Wikimedia wikis.

I do not see any sense to keep this Bugzilla-days tracking task open. Hence I propose to decline T43037 and T102513. People can watch/query the aforementioned projects, and/or people can query for 'PDF'. Plus the current list of subtasks in T43037 is very incomplete so T43037 does not serve its purpose anymore anyway.

Aklapper closed this task as Declined.Dec 6 2017, 3:20 PM
Aklapper removed Danny_B as the assignee of this task.
Aklapper added a subscriber: Danny_B.

Declining as per last comment.